import { request } from '/@/utils/service'
import { UserPageQuery } from '@fast-crud/fast-crud'

export const apiPrefix = '/api/ad_manage/spsearchterms/'
export function GetList(query: UserPageQuery) {
	return request({
		url: apiPrefix,
		method: 'get',
		params: query,
	})
}

export function getCardData(query: UserPageQuery) {
  return request({
      url: apiPrefix + "total/",
      method: 'GET',
      params: query
  })
}

export function getLineData(query: UserPageQuery) {
  return request({
      url: apiPrefix + "daily/",
      method: 'GET',
      params: query
  })
}
